Bug 89758 - redhat-config-users expires user when changing shell
Summary: redhat-config-users expires user when changing shell
Status: CLOSED DUPLICATE of bug 88190
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-27 18:42 UTC by Stefan Lasiewski
Modified: 2006-02-21 18:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:52:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Lasiewski 2003-04-27 18:42:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
I used redhat-config-users to change root's shell, and now the root user's
account has expired. Everytime I try to log in, I see the following error in
/var/log/messages:

Apr 27 11:21:49 flarg login(pam_unix)[14632]: account root has expired (failed
to change password)
Apr 27 11:21:49 flarg login[14632]: User account has expired


Now, I can't log in as root at all.

Reproducibility: I haven't been able to fix the problem, so I cannot reproduce
it yet.




Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Open redhat-config-users
2. Uncheck "Preferences: Filter System Users and Groups"
3. Select user 'root'
4. Click on "Properties" button
5. Change "Login Shell" from "/bin/bash" to "/bin/zsh"
6. Hit "Ok" button
7. Close main "redhat-config-users" window

    

Actual Results:  1. Open new Gnome-terminal window
2. Type 'login'
3. Window flashes a message (Too quick, I can't read the message) and closes window.
4. Look in /var/log/messages, and see "User account has expired" message

Expected Results:  I should be able to log in as root.

Additional info:

I'm looking at the redhat-config-users "User Properties" window.

- Under "Account Info", "Enable account expiration" is unchecked

I did not make any other changes to the 'root' user.

- Under "Password Info", I see the following settings:
  - User last changed password on: Tue Apr 15 2003
    (This is when I installed this new RedHat9 system.
  - Enable password expiration is CHECKED
  - Days before change allowed: 0
  - Days before change required: 0
  - Days warning before change: 0
  - Days before account inactive: 0

The entry for the root user in /etc/shadow says this:

root:pass_removed:12158:0:0:0:0::

Comment 1 Stefan Lasiewski 2003-04-27 18:58:42 UTC
Correction:

>9. Type 'login'
>10. Window flashes a message real quick and closes window.


Should be:

9. Hit 'Ctrl-Alt-F2' to switch to new terminal window
10. Log in as 'root' with the correct passwd. 

Comment 2 Stefan Lasiewski 2003-04-27 19:02:45 UTC
Ok, I managed to restore root's expiration information.

If I change root's entry in /etc/passwd to this, I can log in as root again:

root:blah:12158::99999::::



Comment 3 Stefan Lasiewski 2003-04-27 19:13:29 UTC
Reproducibility:

- I can reproduce this every time.
- I can reproduce this with every user.

By default, redhat-config-users sets the config information to some really bad
values.

Here is the shadow entry before I used redhat-config-users. This is a brand new
user that I created 40 minutes ago with redhat-config-users. Every setting was
set to the default setting:

 rosie:asdasd:12169::99999::::

After I used redhat-config-users:

 rosie:asdasd:12169:0:0:7:0::

Here are some more steps to reproduce:

1. Open redhat-config-users
2. Uncheck "Preferences: Filter System Users and Groups"
3. Select any user
4. Click on "Properties" button
5. Click on "Password Info" tab
6. The default settings are as follows. I did not change anything:

  - User last changed password on: Sat Apr 26 2003
    (This is when I installed this new RedHat9 system.
  - Enable password expiration is CHECKED
  - Days before change allowed: 0
  - Days before change required: 0
  - Days warning before change: 7
  - Days before account inactive: 0

7. Hit "Ok"
8. Close redhat-config-users
9. Verify the differences between 'shadow' and 'shadow-':

[root@host etc]# ls -l shadow shadow-
-r--------    1 root     root          991 Apr 27 12:05 shadow
-r--------    1 root     root          992 Apr 27 12:05 shadow-
[root@host etc]# diff shadow shadow-
32c32
< rosie:123123:12169:0:0:7:0::
---
> rosie:123123:12169::99999::::






Comment 4 Matthew Miller 2003-05-08 01:52:28 UTC
This is a duplicate of bug #88190. I'll post more information there.

*** This bug has been marked as a duplicate of 88190 ***

Comment 5 Red Hat Bugzilla 2006-02-21 18:52:49 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.